This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75347 - redmond95 theme doesn't work with some apps
redmond95 theme doesn't work with some apps
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 11:13 EDT by Tom Wood
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version: gtk-engines-0_12-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 20:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2002-10-07 11:13:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Selecting the redmond95 theme will keep some applications from working properly,
such as mozilla and galeon.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select redmond95 theme.
2.Run mozilla.
3.Watch it briefly pop up and then disappear.
4.Run galeon.
5.Watch it fail as well.

	

Actual Results:  Apps don't work under redmond95.

Expected Results:  Apps should work.

Additional info:

Here's the terminal session where I found this problem.

[root@psyche root]# cat testing
[root@psyche root]# mozilla
[root@psyche root]# galeon
Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 6005 error_code 3 request_code 2 minor_code 0
Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 6006 error_code 3 request_code 61 minor_code 0
[root@psyche root]# up2date

(up2date:26809): Gtk-WARNING **: /usr/lib/gtk-2.0/2.0.0/engines/libredmond95.so:
undefined symbol: gtk_rc_style_get_type

-------------------

Notice that mozilla doesn't generate any sort of error message.  galeon's
message isn't particularly useful.  Only when I ran up2date did I see an error
message that led me to believe that the redmond95 is the problem.

Please note that further testing indicates that any applications open at the
time of the theme change will immediately crash, hence the high severity ranking
I'm assigning this.
Comment 1 Nathan G. Grennan 2002-10-07 17:04:31 EDT
Same problem with the Crux Gnome1 theme. This is a problem with Redhat's native
theme patch.
Comment 2 stephen drago 2002-11-22 16:14:17 EST
It appears that the theme changes the behavior of the text input field.  you'll
notice that the URL/location text box is greyed when redmond95 theme is chosen.
 Then if you open mozilla and try to type in the text field - poof - mozilla
disappears/crashes with aforementioned error.  It doesn't appear to affect all
applications with a similar text entry field - I.E.- "run program" dialog.
Comment 3 John Thacker 2006-04-21 20:44:13 EDT
This is certainly not an issue anymore:
gtk-engine explictly erases Redmond95
gtk-engine is deprecated now
mozilla doesn't use gtk1 now.
Comment 4 Tom Wood 2006-04-24 16:11:10 EDT
Why any and all issues for any Red Hat Linux release aren't closed already
remains a mystery...

Note You need to log in before you can comment on or make changes to this bug.